%define _iconsdir /usr/share/icons
%define _miconsdir /usr/share/icons/mini
%define _liconsdir /usr/share/pixmaps
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
%define _menudir /usr/lib/menu

%define major_nspr 4
%define releasedate 20010914

Name:      mozilla
Summary:   Mozilla, open-source web browser
Version:   0.9.4
Release:   1
License:   MPL
Source0:   ftp://ftp.mozilla.org/pub/mozilla/releases/mozilla%{version}/src/mozilla-source-%{version}.tar.bz2
Source1:   mozilla-0.9.2-js.tar.bz2
Source2:   mozilla_16.xpm.bz2
Source3:   mozilla_32.xpm.bz2
Source4:   mozilla_48.xpm.bz2
Source5:   mozilla-bookmarks-mdk81.html.bz2

# remove debug menu entries
Patch0:	   mozilla-navigator-overlay-menu.patch.bz2
Patch1:    mozilla-editor-overlay-menu.patch.bz2
Patch6:    mozilla-prefs-debug.patch.bz2
Patch7:    mozilla-redhat-home-page.patch.bz2
Patch8:    mozilla-redhat-mail-home-page.patch.bz2
Patch11:   mozilla-taskbar-nomozilla.patch.bz2
# (fc) 0.9-3mdk use system libnspr4 for nss
Patch21:   mozilla-0.9-libnspr4nss.patch.bz2
# (fc 0.9.3-4mdk don't query xinerama if is it not active
Patch23:   mozilla-0.9.3-xinerama.patch.bz2
Epoch:	   0

BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf gtk+-devel libjpeg-devel libnspr4-devel libpng-devel zip ORBit-devel
PreReq:			libnspr4
Requires:		libnss3 indexhtml perl

Prefix:			%{_prefix}
ExcludeArch:	ia64

Group:		Networking/WWW
Url:		http://www.mozilla.org
Obsoletes:	mozilla-xpcom mozilla-browser mozilla-psm
Provides:	mozilla-xpcom = %{version}
Provides:	mozilla-browser = %{version}
Provides:	mozilla-psm = %{version}

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability. 

%package -n libjs
Summary:	Mozilla Javascript standalone library
Group:		System/Libraries
%description -n libjs
Mozilla Javascript standalone library


%package devel
Requires:	%{name} = %{version}
Summary:	Mozilla development files
Group:		Development/Other
Requires:	libnspr4-devel
%description devel
Mozilla development files

%package mail
Summary:	Mozilla-based mail system
Group:		Networking/Mail
PreReq:		%{name} = %{version}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package irc
Summary:	IRC support for Mozilla.
Group:		Networking/IRC
PreReq:		%{name} = %{version}
Provides:	%{name}-chatzilla %{name}-chat
Obsoletes:	%{name}-chatzilla %{name}-chat

%description irc
irc support for Mozilla.

%package xmlterm
Summary:    XML enabled Terminal Client for Mozilla
Group:      Networking/Other
Prereq:		%{name} = %{version}

%description xmlterm
This is a terminal client written for mozilla that has special capabilities.
When combined with the xls, and xcat programs, you can get directory listings with
thumbnails for images, and you can cat known file types and view them inline.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n mozilla
bzcat %{SOURCE1} | tar xf -
%patch0 -p 1 -b .debug_nav
%patch1 -p 1 -b .debug_ed
%patch6 -p1 -b .nodebug
%patch7 -p1 -b .redhat-home-page
%patch8 -p1 -b .redhat

%patch11 -p1 -b .nomozilla

%patch21 -p1 -b .libnspr
%patch23 -p1 -b .xinerama

cat << EOF > content/build/gbdate.h
#define PRODUCT_VERSION "%{releasedate}"
EOF

bzcat %{SOURCE5} > profile/defaults/bookmarks.html

%build

if [ -z "$NPROCS" ]; then NPROCS=`egrep -c ^cpu[0-9]+ /proc/stat || :`; fi 
if [ -z "$NPROCS" -o "$NPROCS" -le "0" ]; then 
  NPROCS=1 
fi

# build mozilla
BUILD_OFFICIAL=1  ./configure --prefix=%{_prefix} \
	--enable-optimize=-O3 --disable-debug \
	--enable-strip-libs --disable-tests \
	--enable-svg --enable-crypto \
	--with-default-mozilla-five-home=%{_libdir}/mozilla \
	--with-extensions --disable-short-wchar --enable-xinerama \
	--disable-xprint

BUILD_OFFICIAL=1 make -j$NPROCS -s export
BUILD_OFFICIAL=1 make -j$NPROCS -s install
#BUILD_OFFICIAL=1 make -s

(cd js/src
make -f Makefile.ref BUILD_OPT=1 nsinstall-target all
)

%install

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/mozilla/idl

(cd js/src
make -f Makefile.ref BUILD_OPT=1 JS_DIST=$RPM_BUILD_ROOT%{_prefix} export
)

# create a list of all of the different package and the files that
# will hold them
rm -f %{_tmppath}/mozilla.list
rm -f %{_tmppath}/mozilla.list.shared
rm -f %{_tmppath}/mozilla.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package langenus --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package langenus --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist -shared

build/package/rpm/SOURCES/mozilla-make-package.pl --package regus --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package regus --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

build/package/rpm/SOURCES/mozilla-make-package.pl --package deflenus --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package deflenus --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

build/package/rpm/SOURCES/mozilla-make-package.pl --package xpcom --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package xpcom --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

build/package/rpm/SOURCES/mozilla-make-package.pl --package browser --output-file %{_tmppath}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package browser --output-file %{_tmppath}/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f %{_tmppath}/mozilla-mail.list
rm -f %{_tmppath}/mozilla-mail.list.shared
rm -f %{_tmppath}/mozilla-mail.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package mail --output-file %{_tmppath}/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package mail --output-file %{_tmppath}/mozilla-mail.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f %{_tmppath}/mozilla-psm.list
rm -f %{_tmppath}/mozilla-psm.list.shared
build/package/rpm/SOURCES/mozilla-make-package.pl --package psm --output-file %{_tmppath}/mozilla-psm.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package psm --output-file %{_tmppath}/mozilla-psm.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f %{_tmppath}/mozilla-chat.list
rm -f %{_tmppath}/mozilla-chat.list.shared
rm -f %{_tmppath}/mozilla-chat.package
build/package/rpm/SOURCES/mozilla-make-package.pl --package chatzilla --output-file %{_tmppath}/mozilla-chat.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
build/package/rpm/SOURCES/mozilla-make-package.pl --package chatzilla --output-file %{_tmppath}/mozilla-chat.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared



# copy all of the files
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla.list %{_tmppath}/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla

build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla.list.shared %{_tmppath}/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}


# build our initial component and chrome registry
# we don't need to do this anymore

pushd `pwd`
  cd $RPM_BUILD_ROOT%{_libdir}/mozilla
  rm -rf  $RPM_BUILD_ROOT%{_libdir}/mozilla/components/xpti* $RPM_BUILD_ROOT%{_libdir}/mozilla/component.reg
  # register our components
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}/mozilla:$RPM_BUILD_ROOT%{_libdir} MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%{_libdir}/mozilla ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
  # set up the chrome rdf files
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}/mozilla:$RPM_BUILD_ROOT%{_libdir} MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%{_libdir}/mozilla ./regchrome
  # fix permissions of the chrome directories
  find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd


build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-mail.list %{_tmppath}/mozilla-mail.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-mail.list.shared %{_tmppath}/mozilla-mail.package \
    $RPM_BUILD_ROOT%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}

build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-psm.list %{_tmppath}/mozilla.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
# don't provide library, it is in libnss3 package
#build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-psm.list.shared %{_tmppath}/mozilla.package \
#    $RPM_BUILD_ROOT/%{_libdir} \
#    $RPM_BUILD_DIR/mozilla/dist/bin \
#    %{_libdir}


build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-chat.list %{_tmppath}/mozilla-chat.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
build/package/rpm/SOURCES/mozilla-copy-package-files.sh %{_tmppath}/mozilla-chat.list.shared %{_tmppath}/mozilla-chat.package \
    $RPM_BUILD_ROOT%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}

# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...

# copy xmlterm files
/bin/cp -rL dist/bin/{xmlterm,xcat,xls}  $RPM_BUILD_ROOT%{_bindir} || \
		/bin/cp -r dist/bin/{xmlterm,xcat,xls}  $RPM_BUILD_ROOT%{_bindir}
/bin/cp -rL dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome || \
		/bin/cp -r dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome
/bin/cp -rL dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT%{_libdir}/mozilla/components || \
		/bin/cp -r dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT%{_libdir}/mozilla/components

# copy include and idl files
/bin/cp -rL dist/include/* $RPM_BUILD_ROOT%{_includedir}/mozilla || \
		/bin/cp -r dist/include/* $RPM_BUILD_ROOT%{_includedir}/mozilla

/bin/cp -rL dist/idl/* $RPM_BUILD_ROOT%{_includedir}/mozilla/idl || \
		/bin/cp -r dist/idl/* $RPM_BUILD_ROOT%{_includedir}/mozilla/idl

# copy our devel tools
/bin/cp -rL dist/bin/xpcshell $RPM_BUILD_ROOT%{_libdir}/mozilla || \
		/bin/cp -r dist/bin/xpcshell $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -rL dist/bin/xpidl $RPM_BUILD_ROOT%{_libdir}/mozilla || \
		/bin/cp -r dist/bin/xpidl $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -rL dist/bin/xpt_dump $RPM_BUILD_ROOT%{_libdir}/mozilla || \
		/bin/cp -r dist/bin/xpt_dump $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -rL dist/bin/xpt_link $RPM_BUILD_ROOT%{_libdir}/mozilla || \
		/bin/cp -r dist/bin/xpt_link $RPM_BUILD_ROOT%{_libdir}/mozilla

# workaround for bug 81429

(cd $RPM_BUILD_ROOT%{_libdir}/mozilla 
ln -s ../libnssckbi.so libnssckbi.so
echo %{_libdir}/mozilla/libnssckbi.so >> %{_tmppath}/mozilla.package
)

bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

cp build/package/rpm/SOURCES/mozilla.sh $RPM_BUILD_ROOT%{_bindir}/mozilla
cp build/package/rpm/SOURCES/rebuild-databases.sh $RPM_BUILD_ROOT%{_libdir}/mozilla/rebuild-databases.sh

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="NO_XALF %{_bindir}/mozilla"
?package(%{name}):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-mail
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="NO_XALF %{_bindir}/mozilla -mail"
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla -mail"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-xmlterm
?package(%{name}-xmlterm):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Terminals"\
  title="Mozilla XTerm"\
  longtitle="XTerm implemented with Mozilla toolkit"\
  command="NO_XALF %{_bindir}/mozilla -terminal"
?package(%{name}-xmlterm):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Terminals"\
  title="Mozilla XTerm"\
  longtitle="XTerm implemented with Mozilla toolkit"\
  command="NO_XALF %{_bindir}/mozilla -terminal"
EOF


%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{_tmppath}/mozilla*.package
rm -f %{_tmppath}/mozilla*.list
rm -f %{_tmppath}/mozilla*.list.shared

%triggerin -- jre >= 1.3.0_01
if [ -f /usr/java/jre*/plugin/i386/ns600/libjavaplugin_oji.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 ln -s /usr/java/jre*/plugin/i386/ns600/libjavaplugin_oji.so %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerin -- jdk >= 1.3.0_01
if [ -f /usr/java/jdk*/jre/plugin/i386/ns600/libjavaplugin_oji.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 ln -s /usr/java/jdk*/jre/plugin/i386/ns600/libjavaplugin_oji.so %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerin -- j2sdk >= 1.3.1
if [ -f /usr/java/j2sdk*/jre/plugin/i386/ns600/libjavaplugin_oji*.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji*.so ]; then 
 ln -s /usr/java/j2sdk*/jre/plugin/i386/ns600/libjavaplugin_oji*.so %{_libdir}/mozilla/plugins/
fi

%triggerin -- j2re >= 1.3.1
if [ -f /usr/java/j2re*/plugin/i386/ns600/libjavaplugin_oji*.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji*.so ]; then 
 ln -s /usr/java/j2re*/plugin/i386/ns600/libjavaplugin_oji*.so %{_libdir}/mozilla/plugins/
fi

%triggerun -- jre >= 1.3.0_01
[ "$2" = "2" ] || exit 0
if [  /usr/java/jre*/plugin/i386/ns600/libjavaplugin_oji.so -ef \
 %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 rm -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerun -- jdk >= 1.3.0_01
[ "$2" = "2" ] || exit 0
if [  /usr/java/jdk*/jre/plugin/i386/ns600/libjavaplugin_oji.so -ef \
 %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 rm -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerun -- j2sdk >= 1.3.1
[ "$2" = "2" ] || exit 0
if [  /usr/java/j2sdk*/jre/plugin/i386/ns600/libjavaplugin_oji*.so -ef \
 %{_libdir}/mozilla/plugins/libjavaplugin_oji*.so ]; then 
 rm -f %{_libdir}/mozilla/plugins/libjavaplugin_oji*.so 
fi

%triggerun -- j2re >= 1.3.1
[ "$2" = "2" ] || exit 0
if [  /usr/java/j2re*/plugin/i386/ns600/libjavaplugin_oji*.so -ef \
 %{_libdir}/mozilla/plugins/libjavaplugin_oji*.so ]; then 
 rm -f %{_libdir}/mozilla/plugins/libjavaplugin_oji*.so 
fi

%triggerin -- RealPlayer 
if [ -f %{_libdir}/RealPlayer*/rpnp.so -a ! -f %{_libdir}/mozilla/plugins/rpnp.so ]; then
 ln -s %{_libdir}/RealPlayer*/rpnp.so %{_libdir}/mozilla/plugins/rpnp.so
 ln -s %{_libdir}/RealPlayer*/raclass.zip %{_libdir}/mozilla/plugins/raclass.zip
fi


%triggerun -- RealPlayer
[ "$2" = "2" ] || exit 0
if [  %{_libdir}/RealPlayer*/rpnp.so -ef %{_libdir}/mozilla/plugins/rpnp.so ]; then
 rm -f %{_libdir}/mozilla/plugins/rpnp.so
 rm -f %{_libdir}/mozilla/plugins/raclass.zip
fi


%post
# menu
%{update_menus}
if [ -f %{_libdir}/netscape/plugins/libflashplayer.so -a ! -f %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
 ln -s %{_libdir}/netscape/plugins/libflashplayer.so %{_libdir}/mozilla/plugins/libflashplayer.so 
fi
ulimit -c 0
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi


%preun
if [ "$1" = "0" ]; then 
	if [ -L %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
		 rm -f %{_libdir}/mozilla/plugins/libflashplayer.so 
	fi
fi

%postun
## menu
%{clean_menus}

%post mail
%{update_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%postun mail
%{clean_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi


%post irc
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%postun irc
%{update_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%post xmlterm
%{clean_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi


%postun xmlterm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{_libdir}/mozilla/rebuild-databases.sh ]; then
    %{_libdir}/mozilla/rebuild-databases.sh
fi

%files -f %{_tmppath}/mozilla.package
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/mozilla
%attr(755,root,root) %{_libdir}/mozilla/rebuild-databases.sh
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%dir %{_libdir}/mozilla/defaults/pref
%dir %{_libdir}/mozilla/defaults/profile/US
%dir %{_libdir}/mozilla/defaults/profile
%dir %{_libdir}/mozilla/defaults/wallet
%dir %{_libdir}/mozilla/defaults
%dir %{_libdir}/mozilla/chrome
%dir %{_libdir}/mozilla/components
%dir %{_libdir}/mozilla/res/builtin
%dir %{_libdir}/mozilla/res/html
%dir %{_libdir}/mozilla/res/samples
%dir %{_libdir}/mozilla/res/entityTables
%dir %{_libdir}/mozilla/res/rdf
%dir %{_libdir}/mozilla/res
%dir %{_libdir}/mozilla/icons
%dir %{_libdir}/mozilla/searchplugins
%dir %{_libdir}/mozilla/plugins
%dir %{_libdir}/mozilla
%verify (not md5 mtime size) %{_libdir}/mozilla/component.reg
%verify (not md5 mtime size) %{_libdir}/mozilla/components/xptitemp.dat
%verify (not md5 mtime size) %{_libdir}/mozilla/components/xpti.dat
%verify (not md5 mtime size) %{_libdir}/mozilla/chrome/*.rdf
%verify (not md5 mtime size) %{_libdir}/mozilla/chrome/overlayinfo

%files mail -f %{_tmppath}/mozilla-mail.package
%defattr(-,root,root)
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}-mail
%dir %{_libdir}/mozilla

%files irc -f %{_tmppath}/mozilla-chat.package
%defattr(-,root,root)


%files devel
%defattr (-,root,root)
%{_includedir}/mozilla
%{_libdir}/mozilla/xpcshell
%{_libdir}/mozilla/xpidl
%{_libdir}/mozilla/xpt_dump
%{_libdir}/mozilla/xpt_link

%files xmlterm
%defattr(-, root, root)
%{_bindir}/xmlterm
%{_bindir}/xcat
%{_bindir}/xls
%{_libdir}/mozilla/chrome/xmlterm.jar
%{_libdir}/mozilla/components/*xmlterm*
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}-xmlterm

%files -n libjs
%defattr(-,root,root)
%{_bindir}/js
%{_libdir}/libjs.so

%changelog
* Tue Sep 18 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9.4-1mdk package (see below)

* Sat Sep 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-1mdk
- Release 0.9.4
- Regenerate patches 0, 1 and 7
- Remove patches 20 & 22 (merged upstream)

* Mon Sep  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-8mdk
- Add trigger for j2re (new name of jre package)
- Add Mandrake bookmarks

* Fri Aug 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9.3-7mdk package (see below)

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-7mdk
- Argg, apply patch23 for xinerama

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-6mdk
- Regenerate patch7: use local index.html page also at first startup 

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk
- Fix error in Real plugin trigger

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-4mdk
- Patch23: don't query Xinerama if it is not activated
- Enable Xinerama
- To keep it safe, lower optimizations

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-3mdk
- This time, optimisations should be ok (remove omit-frame-pointer)
- Fix triggers on package upgrade

* Sun Aug  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-2mdk
- Remove some optimizations (was breaking preferences)

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-1mdk
- Release 0.9.3
- Remove patches 12, 22, 23, 24 (merged upstream)
- Regenerate patches 0
- Enable more optimizations
- Patch22: fix build (some static lib were not found)

* Wed Aug  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-8mdk
- Modify verify options for generated files
- Disable mathml (fix crash reported by Brian J. Murrel)

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-7mdk
- Fix bad buildid when recompiling package
- new subpackage for javascript library
- resync with Blizzard specfile :
  - Add verify options to three files that change when you install.
  - use official patch for Patch23


* Fri Jul 13 2001 Stefan van der Eijk <stefan@eijk.ni> 0.9.2-6mdk
- BuildRequires:	gtk+-devel
- Removed BuildRequires:	perl
- Removed BuildRequires:	zlib-devel

* Mon Jul  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9.2-4mdk package (see below)

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-5mdk
- Patch24: use POSIX compliant switch for cp
- Re-add test on POSIX compliance for cp

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-4mdk
- Patch22: move umask fix in this patch
- Patch23: don't use readlink in mozilla.sh
- Patch12: fix segfault when exiting with some plugins
- Remove a lot of source file, they are in main tarball

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-3mdk
- Fix detection of j2sdk 1.4

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Fix source 6 to comply with latest cp
- Ooops, fix bad devel package

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2
- Remove patch 12 (merged upstream)

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Fix rebuild-database script with non-standard umask (thanks to Ralf_Ahlbrink)

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Patch12: fix problem with Galeon and Nautilus (bug 83157)

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- Regenerate patches 0, 1, 6
- Remove patch 9 & 12 (merged upstream)

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Workaround for default CA not loaded : add dependency on libnss3 + symlink

* Fri May 25 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9-4mdk package (see below)

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-4mdk
- Add PreReq on libnspr4 (otherwhise mozilla registry are not created 
  at install time)

* Thu May 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Merge psm back in main package 
- Add xmlterm package
- Use libnspr3 and libnss3 for building mozilla

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Remove patch10 (we only have /usr/share/doc/HTML)

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9
- Sync with Mozilla official specfile (0.9-0)
  - Add rebuild-database script
  - Regenerate patches 0, 1, 6
  - Remove patches 12, 13, 21 (merged upstream)
  - Update make package script to put shared libraries in %_libdir

* Mon Apr 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-5mdk
- Add trigger for RealPlayer plugin

* Fri Apr 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-4mdk
- Add triggers to detect when Sun Java RPM are installed to install Java plugin
- Resync with Blizzard specfile (0.8.1-3) :
	patch12 : links nspr and other base libraries with libc explicitly
	patch13 : disable rpath => no longer requires to uninstall mozilla rpm to rebuild it

* Fri Apr 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-3mdk
- resync with Blizzard specfile (0.8.1-0 and 2001041017)
- resync with Mdk 0.8-7mdk specfile
- patch for bug 73947 to prevent bug in Nautilus

* Fri Mar 30 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.8.1-2mdk package (see below)

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- Use official source tarball

* Tue Mar 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1
- resync with Blizzard specfile (pre-0.8.1-6)
- use CVS snapshot since source tarball is not yet available)
- Update mozilla.sh
- Regenerate patch0, patch7, patch8, patch10
- Remove patch 1 (merged upstream)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Switch to standard theme by default
- Remove focus patch 
- Add specific menu entry for GNOME (workaround for interaction with xalf)
- resync with Blizzard specfile (0.8-2)

* Fri Feb 23 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux

* Fri Feb 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Relese 0.8
- resync with Blizzard specfile (0.8-1)

* Wed Feb  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Resync with Blizzard specfile (0.7-11)
- Correct postun script => upgrading mozilla should be smooth with future version
  

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Resync with Blizzard specfile (0.7-3)
- Add missing library for galeon

* Wed Jan 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-0.2001010614.1mdk
- Prerelease based on CVS (contains crypto support)
- Merge new patches from Christopher Blizzard (2001010614-0)
- Try to use Java and Flash plugin (need JDK 1.3.0_1 and netscape 4.76 installed)

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.4mdk
- Rebuild with new libstdc++
- merge new patches from Christopher Blizzard specfile (M18-4) :
		- Add patch for bug 54860 (Linux-psm warning dialog hangs browser)
		- Add patches for bugs 56793 and 56753.

* Mon Oct 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.3mdk
- Merge patches from Alexander Skwar :
	-Add missing menu file and icons
	-Add missing dependency

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.2mdk
- Merge Christopher Blizzard (RedHat) specfile

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.1mdk
- Release M18
- Remove old patches

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M17.4mdk
- Merge specfile and fixes from Christopher Blizzard 
- change again page numbering (should be stable now)..

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-3mdk
- Provide non-corrupted icons

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-2mdk
- Add correct icons

* Fri Aug 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-1mdk
- Release M17

* Fri May 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-3mdk
- fix menu file

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-2mdk
- add menu entry for sub package mozilla browser

* Fri Feb 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.0_M13-1mdk
- fixed version-naming --> mozilla-browser needs mozilla-install, not
  mozilla-M13-install.

* Sun Feb 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- M13

* Wed Jan 05 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm from mozilla.org
- bz2 archive
- remove the paths in the post sections
- modified the install section
